Add integration

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /admin/company/{companyId}/integration

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string(uuid) Required
application/json

Body Required

  • name string Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • createDate string(date-time)
    • lastLogin string(date-time)
    • key string(uuid)
POST /admin/company/{companyId}/integration
curl \
 --request POST 'https://live.smartpmtech.com/admin/company/{companyId}/integration' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "name": "string"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "name": "string"
}
Response examples (200)
{
  "id": "string",
  "name": "string",
  "createDate": "2026-05-04T09:42:00Z",
  "lastLogin": "2026-05-04T09:42:00Z",
  "key": "string"
}